public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Georgy Yakovlev" <gyakovlev@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-libs/grpc/
Date: Mon, 16 Jul 2018 19:32:01 +0000 (UTC)	[thread overview]
Message-ID: <1531769514.c60c136a1bbe24d31ee50cfb2c87f7ef57f8e25d.gyakovlev@gentoo> (raw)

commit:     c60c136a1bbe24d31ee50cfb2c87f7ef57f8e25d
Author:     Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 16 19:31:05 2018 +0000
Commit:     Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
CommitDate: Mon Jul 16 19:31:54 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c60c136a

net-libs/grpc: version bump to 1.13.1

Clarified python dependencies.

Package-Manager: Portage-2.3.43, Repoman-2.3.10

 net-libs/grpc/Manifest           |   1 +
 net-libs/grpc/grpc-1.13.1.ebuild | 172 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 173 insertions(+)

diff --git a/net-libs/grpc/Manifest b/net-libs/grpc/Manifest
index 93ed53e4b94..c694829ef8a 100644
--- a/net-libs/grpc/Manifest
+++ b/net-libs/grpc/Manifest
@@ -1,4 +1,5 @@
 DIST grpc-1.12.0.tar.gz 13692310 BLAKE2B 86b9063416140453718c51df4f238bb3d5ac8549ece065c95d3c461c069358badec5a9a77aef694cd11a09f53e060f9ea51f3b40d9a2424837605c4899a21c57 SHA512 68a8c261ea570790974769d6c0ca8138cf4242b79e9ff74a11b10d35a27f98ff24c03f3d05932ac46811c0ba7d1a094388ae8dbeb495fc8e723ad74695994d49
 DIST grpc-1.12.1.tar.gz 13692045 BLAKE2B d35706b553917d0f27e4474509f361ec7962b738031f11ca814d7ec33429f848b3b3356cae9a28b9a0cb376df5a6348d312c80ed4eeb51b81e68b317584a2e4a SHA512 9dd6d8c4b4e2713cf27ed55b1e97fdf5ed6d80f43b798b83f08e2f4646387dfd0696b21d4f44dbd99a061d388790dc15da49ac5afb0bb06116cfd6f07b7d6962
 DIST grpc-1.13.0.tar.gz 13755973 BLAKE2B 533f0a7d4eb606b8a55f12aade503285dbff2cfa29ff2af71d407e3df25f3ec4b7572335c455d5dd0069eb343f18f8641a4f9326065cc118922942f77d2d2403 SHA512 25a489cd67d12219696c397afa75282eb702bd0af418381990b2eeb4b56483a46276d05314710582dd17be04c80aaf9bb16e01e2c1729d9a59d84ff273baa254
+DIST grpc-1.13.1.tar.gz 13757818 BLAKE2B 9387efb980a0cff20c36d7653f24fb7982809428f7f35af0819786753d6cf380a581af81bde72f3682fcdfb3f41c71d628e5ef3b6b83663c8d3d182b4fdb6272 SHA512 f44028299d47865814ada2b8b93dc98dc51c8729bedc9c30dd79c04f6ecc3789ff06bbe7555e5d3512d9aec027751761ae10a80a09a94cf85bbd3260d651b356
 DIST protobuf-3.5.2.tar.gz 4584659 BLAKE2B f582212169d802a5844574eb900c9f8cbb343b7e73f2074e5ff0bfc544ebd13f4bc2b78271fb70f4465d78fdc39972ed68339f453c0d3ffe98d8564fbf520544 SHA512 09d10cf0c07a0ba249428bbf20f5dbed840965fa06b3c09682f286a4dee9d84bb96f3b5b50e993d48ef1f20440531255ce7d0e60a648bf3fe536a5f2b0b74181

diff --git a/net-libs/grpc/grpc-1.13.1.ebuild b/net-libs/grpc/grpc-1.13.1.ebuild
new file mode 100644
index 00000000000..620789c5cc9
--- /dev/null
+++ b/net-libs/grpc/grpc-1.13.1.ebuild
@@ -0,0 +1,172 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+DISTUTILS_OPTIONAL=1
+
+inherit distutils-r1 flag-o-matic toolchain-funcs
+
+# should match pinned git submodule version of third_party/protobuf
+# look it up here https://github.com/grpc/grpc/tree/v"${PV}"/third_party
+# also should ~depend on same version of dev-libs/protobuf below
+PROTOBUF_VERSION="3.5.2"
+
+DESCRIPTION="Modern open source high performance RPC framework"
+HOMEPAGE="http://www.grpc.io"
+SRC_URI="
+	https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz
+	tools? ( https://github.com/google/protobuf/archive/v${PROTOBUF_VERSION}.tar.gz -> protobuf-${PROTOBUF_VERSION}.tar.gz )
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="examples doc python systemtap static-libs tools"
+
+REQUIRED_USE="
+	python? ( ${PYTHON_REQUIRED_USE} )
+	tools? ( python )
+"
+
+RDEPEND="
+	>=dev-libs/openssl-1.0.2:0=[-bindist]
+	>=dev-libs/protobuf-${PROTOBUF_VERSION}:=
+	dev-util/google-perftools
+	net-dns/c-ares:=
+	sys-libs/zlib:=
+	python? ( ${PYTHON_DEPS}
+		dev-python/cython[${PYTHON_USEDEP}]
+		dev-python/setuptools[${PYTHON_USEDEP}]
+		dev-python/six[${PYTHON_USEDEP}]
+		virtual/python-enum34[${PYTHON_USEDEP}]
+		virtual/python-futures[${PYTHON_USEDEP}]
+		tools? ( >=dev-python/protobuf-python-3.5.1:=[${PYTHON_USEDEP}] )
+	)
+	systemtap? ( dev-util/systemtap )
+"
+
+DEPEND="${RDEPEND}
+	virtual/pkgconfig
+	doc? (
+		python? (
+			dev-python/sphinx[${PYTHON_USEDEP}]
+			dev-python/sphinx_rtd_theme[${PYTHON_USEDEP}]
+		)
+	)
+"
+
+PATCHES=(
+	"${FILESDIR}/0001-grpc-1.13.0-fix-host-ar-handling.patch"
+	"${FILESDIR}/0002-grpc-1.3.0-Fix-unsecure-.pc-files.patch"
+	"${FILESDIR}/0003-grpc-1.3.0-Don-t-run-ldconfig.patch"
+	"${FILESDIR}/0004-grpc-1.11.0-fix-cpp-so-version.patch"
+	"${FILESDIR}/0005-grpc-1.11.0-pkgconfig-libdir.patch"
+	"${FILESDIR}/0009-grpc-1.12.1-gcc8-fixes.patch"
+)
+
+src_prepare() {
+	sed -i 's@$(prefix)/lib@$(prefix)/$(INSTALL_LIBDIR)@g' Makefile || die "fix libdir"
+	default
+	use python && distutils-r1_src_prepare
+}
+
+python_prepare() {
+	if use tools; then
+		rm -r third_party/protobuf || die "removing empty protobuf dir failed"
+		ln -s "${S}"/../protobuf-"${PROTOBUF_VERSION}" third_party/protobuf || die
+		pushd tools/distrib/python/grpcio_tools >/dev/null || die
+		# absolute symlinks will fail
+		# ./src -> ${S}/src
+		ln -s ../../../../src ./ || die
+		# ./third_party -> ${S}/third_party
+		ln -s ../../../../third_party ./ || die
+		# ./grpc_root -> ${S}
+		ln -s ../../../../ ./grpc_root || die
+		# prevent above symlinks creating huge SOURCES.TXT files, bug #661244
+		echo "prune grpc_root/tools/distrib/python/grpcio_tools" >> MANIFEST.in
+		popd >/dev/null || die
+	fi
+}
+
+src_compile() {
+	tc-export CC CXX PKG_CONFIG
+
+	emake \
+		V=1 \
+		prefix=/usr \
+		INSTALL_LIBDIR="$(get_libdir)" \
+		AR="$(tc-getAR)" \
+		AROPTS="rcs" \
+		CFLAGS="${CFLAGS}" \
+		CXXFLAGS="${CXXFLAGS}" \
+		LD="${CC}" \
+		LDXX="${CXX}" \
+		STRIP=/bin/true \
+		HOST_CC="$(tc-getBUILD_CC)" \
+		HOST_CXX="$(tc-getBUILD_CXX)" \
+		HOST_LD="$(tc-getBUILD_CC)" \
+		HOST_LDXX="$(tc-getBUILD_CXX)" \
+		HOST_AR="$(tc-getBUILD_AR)" \
+		HAS_SYSTEMTAP="$(usex systemtap true false)"
+
+	use python && distutils-r1_src_compile
+}
+
+python_compile() {
+	export GRPC_PYTHON_BUILD_SYSTEM_CARES=1
+	export GRPC_PYTHON_BUILD_SYSTEM_OPENSSL=1
+	export GRPC_PYTHON_BUILD_SYSTEM_ZLIB=1
+	export GRPC_PYTHON_BUILD_WITH_CYTHON=1
+	distutils-r1_python_compile
+
+	if use tools; then
+		pushd tools/distrib/python/grpcio_tools >/dev/null || die
+		distutils-r1_python_compile
+		popd >/dev/null || die
+	fi
+}
+
+python_compile_all() {
+	if use doc; then
+		esetup.py doc
+		mv doc/build doc/html || die
+	fi
+}
+
+src_install() {
+	emake \
+		prefix="${D}"/usr \
+		INSTALL_LIBDIR="$(get_libdir)" \
+		STRIP=/bin/true \
+		install
+
+	use static-libs || find "${ED}" -name '*.a' -delete
+
+	if use examples; then
+		find examples -name '.gitignore' -delete || die
+		dodoc -r examples
+		docompress -x /usr/share/doc/${PF}/examples
+	fi
+
+	if use doc; then
+		find doc -name '.gitignore' -delete || die
+		local DOCS=( AUTHORS README.md doc/. )
+	fi
+
+	einstalldocs
+
+	use python && distutils-r1_src_install
+
+}
+
+python_install() {
+	distutils-r1_python_install
+
+	if use tools; then
+		pushd tools/distrib/python/grpcio_tools >/dev/null || die
+		distutils-r1_python_install
+		popd >/dev/null || die
+	fi
+}


             reply	other threads:[~2018-07-16 19:32 UTC|newest]

Thread overview: 88+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-07-16 19:32 Georgy Yakovlev [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-04-15 16:41 [gentoo-commits] repo/gentoo:master commit in: net-libs/grpc/ Sam James
2025-04-11 10:39 Sam James
2024-09-17 16:00 Sam James
2024-09-12 21:59 Sam James
2024-09-04  9:32 Sam James
2024-07-09 12:52 Sam James
2023-12-25 19:22 Conrad Kostecki
2023-08-21 18:22 Sam James
2023-08-21 17:31 Sam James
2023-08-21 17:31 Sam James
2023-08-21 17:31 Sam James
2023-08-21 16:35 Sam James
2023-08-21 15:23 Sam James
2023-05-26 20:21 Andreas Sturmlechner
2023-05-14  8:48 Sam James
2023-05-14  8:48 Sam James
2023-05-14  8:48 Sam James
2023-02-27  9:10 WANG Xuerui
2023-02-24 17:11 Arthur Zamarin
2023-02-20 21:29 Arthur Zamarin
2023-02-16  5:52 WANG Xuerui
2023-02-12 18:42 Jakov Smolić
2023-02-12 18:42 Jakov Smolić
2023-02-12 18:36 Jakov Smolić
2023-02-11  7:47 WANG Xuerui
2023-02-11  7:47 WANG Xuerui
2023-02-11  7:47 WANG Xuerui
2023-02-07  0:35 Georgy Yakovlev
2022-12-24 14:49 Andreas Sturmlechner
2022-12-20 23:57 Sam James
2022-10-27 23:46 Sam James
2022-10-20 10:52 Jakov Smolić
2022-08-17 21:13 Sam James
2021-12-20 12:09 Agostino Sarubbo
2021-12-20  9:20 Arthur Zamarin
2021-12-20  5:34 Georgy Yakovlev
2021-12-20  5:31 Georgy Yakovlev
2021-12-20  5:10 Georgy Yakovlev
2021-12-20  5:04 Georgy Yakovlev
2021-11-14  1:59 Georgy Yakovlev
2021-06-21 23:31 Georgy Yakovlev
2021-06-21 23:31 Georgy Yakovlev
2021-05-30  1:43 Georgy Yakovlev
2021-05-15  2:21 Sam James
2021-05-02 10:16 Mikle Kolyada
2021-04-30 18:11 Georgy Yakovlev
2021-04-29 23:35 Georgy Yakovlev
2021-04-29 11:46 Michał Górny
2021-04-29  8:29 Georgy Yakovlev
2020-04-24 20:02 Georgy Yakovlev
2020-04-23 16:27 Stefan Strogin
2020-04-20  7:28 Georgy Yakovlev
2020-02-22  1:30 Georgy Yakovlev
2020-01-17 10:22 Georgy Yakovlev
2020-01-17 10:22 Georgy Yakovlev
2019-12-22  3:28 Georgy Yakovlev
2019-10-26  0:11 Georgy Yakovlev
2019-08-17  3:00 Georgy Yakovlev
2019-08-17  3:00 Georgy Yakovlev
2019-08-17  3:00 Georgy Yakovlev
2019-08-17  3:00 Georgy Yakovlev
2019-07-27  9:07 Georgy Yakovlev
2019-07-27  9:07 Georgy Yakovlev
2019-07-27  9:07 Georgy Yakovlev
2019-07-27  9:07 Georgy Yakovlev
2019-07-27  9:07 Georgy Yakovlev
2019-07-27  9:07 Georgy Yakovlev
2019-05-31 19:26 Georgy Yakovlev
2019-05-28  6:49 Georgy Yakovlev
2019-05-07 19:00 Georgy Yakovlev
2019-05-07 19:00 Georgy Yakovlev
2019-04-30  4:42 Georgy Yakovlev
2019-02-27  4:20 Georgy Yakovlev
2019-01-16  0:52 Georgy Yakovlev
2019-01-16  0:52 Georgy Yakovlev
2018-12-15  6:00 Georgy Yakovlev
2018-12-10  4:50 Georgy Yakovlev
2018-11-15  3:21 Georgy Yakovlev
2018-11-15  3:21 Georgy Yakovlev
2018-07-15 22:20 Georgy Yakovlev
2018-07-15 22:20 Georgy Yakovlev
2018-07-15 22:20 Georgy Yakovlev
2018-07-08 15:29 Jason Zaman
2018-06-17  1:18 Georgy Yakovlev
2018-05-30 13:24 Jason Zaman
2018-05-30 13:24 Jason Zaman
2018-05-03  8:59 Jason Zaman

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1531769514.c60c136a1bbe24d31ee50cfb2c87f7ef57f8e25d.gyakovlev@gentoo \
    --to=gyakovlev@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox